<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" routerLink="/">{{ 'Navbar.logo' | translate:lang }}</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor03" aria-controls="navbarColor03" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarColor03">
    <ul class="navbar-nav mr-auto">

        <li class="nav-item" *ngIf="auth.authenticated && auth.user.admin">
          <a class="nav-link" routerLink="/dashboard">{{ 'Navbar.dashboard' | translate:lang }}</a>
        </li>
        <li class="nav-item" *ngIf="auth.authenticated">
          <a class="nav-link" routerLink="/profile">{{ 'Navbar.profile' | translate:lang }}</a>
        </li>
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">{{ 'Navbar.language.lang' | translate:lang }}</a>
        <div class="dropdown-menu" x-placement="bottom-start" style="position: absolute; transform: translate3d(0px, 40px, 0px); top: 0px; left: 0px; will-change: transform;">
          <a class="dropdown-item" routerLink="#" (click)="selectLanguage('en');">{{ 'Navbar.language.english' | translate:lang }}</a>
          <a class="dropdown-item" routerLink="#" (click)="selectLanguage('ru');">{{ 'Navbar.language.russian' | translate:lang }}</a>
        </div>
      </li>
    </ul>
    <form #f="ngForm" class="form-inline my-2 my-lg-0" (submit)="f.form.valid && search()">
      <input [(ngModel)]="searchQuery" name="searchQuery" class="form-control mr-sm-2" type="text" placeholder="{{ 'Navbar.search.placeholder' | translate:lang }}" required>
      <button class="btn btn-info my-2 my-sm-0" type="submit">{{ 'Navbar.search.btnText' | translate:lang }}</button>
    </form>

    <span class="divider"></span>
    <ul class="navbar-nav">
      <li class="nav-item">
        <a *ngIf="!theme.isDark" class="nav-link" (click)="theme.setTheme('dark')"><i class="fa fa-moon-o"></i></a>
        <a *ngIf="theme.isDark" class="nav-link" (click)="theme.setTheme('light')"><i class="fa fa-sun-o"></i></a>
      </li>
      <li class="nav-item" *ngIf="!auth.authenticated">
        <a class="nav-link" routerLink="/register">{{ 'Navbar.register' | translate:lang }}</a>
      </li>
      <li class="nav-item" *ngIf="!auth.authenticated">
        <a class="nav-link" routerLink="/login">{{ 'Navbar.login' | translate:lang }}</a>
      </li>
      <li class="nav-item" *ngIf="auth.authenticated">
        <a class="nav-link" (click)="auth.logout()">{{ 'Navbar.logout' | translate:lang }}</a>
      </li>
    </ul>
  </div>
</nav>
